<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$accion=$_REQUEST['accion'];
$enlace=cargar_conexion();
set_time_limit(3000); 

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
menu();
$entra=0;
echo "<br><center><h2>Envio Masivo de Correo de N&oacute;minas Auditadas al Trabajador</h2></center>";

echo " <form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='bandera' value = '1'>
		<table align='center'>";
		
		echo "<tr>";
			echo "<td align = 'right'> <font size=3>Per&iacute;odo a Enviar: </font></td>";
			echo "<td align = 'left'> <select style='width:200px;' name = 'per'>";
				$consulta="select distinct per from historico_recibos where id='".$_SESSION['id_validar']."' order by orden desc";
				$resultado = mysql_query($consulta) or die($consulta . mysql_error());
				while ($row = mysql_fetch_array( $resultado ) ) {
					echo "<option value='".$row['per']."'>";
						if (substr($row['per'],1,1)==',') echo substr($row['per'],7,30);
						else if (substr($row['per'],2,1)==',') echo substr($row['per'],8,30);				
						else echo $row['per'];				
				}
			echo "</select></td>";
		echo "</tr>";
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='image' src='img2/boton_buscar.jpg' value='Procesar Envio'>";
		echo "</td></tr>";
	echo "</table></form>";
echo "<center><font color=red>".$mensaje."</font></center>";



///////////////////////////////////////////////// cambiar clave ////////////////////////////////////////////////////////////////
if ($_POST['bandera']==1) {
	$per=trim($_POST['per']);
	if (substr(trim($_POST['per']),1,1)==',') $perx= substr(trim($_POST['per']),7,30);
	else if (substr(trim($_POST['per']),2,1)==',') $perx= substr(trim($_POST['per']),8,30);				
	else $perx=$trim($_POST['per']);				
	
	if ($per!='') {
			$consulta="select codigo as ced, concat(nombres,', ',apellidos) as nom, pasaporte as car, mensaje as cor from personal where id='".$_SESSION['id_validar']."' and trim(mensaje)<>'' order by codigo";
			$resultado = mysql_query($consulta) or die($consulta . mysql_error());
			while ($row = mysql_fetch_array($resultado)) {					
				$pced=trim($row['ced']);	
				$nom=trim($row['nom']);
				$car=$row['car'];
				$ta=0;$td=0;
				$cor=trim($row['cor']);
				$consulta2="select * from historico_recibos where id='".$_SESSION['id_validar']."' and trim(ced)='$pced' and trim(per)='$per' and (a+d+s<>0) order by xxx";
				$resultado2 = mysql_query($consulta2) or die($consulta2 . mysql_error());
				if (mysql_num_rows($resultado2)!=0) {			
					echo "<br>Enviado ......".$nom."  -  Email: ".$cor;				
					$techo="<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
					$techo.="<tr bgcolor='#045FB4' >";
					$techo.="<th align=left><font size=1 color='white' > Codigo</font></th>";
					$techo.="<th align=left><font size=1 color='white'> Concepto </font></th>";
					$techo.="<th align='right'><font size=1 color='white'> Asignación </font></th>";
					$techo.="<th align='right'><font size=1 color='white'> Deducción </font></th>";
					$techo.="<th align='right'><font size=1 color='white'> Saldo </font></th>";
					$techo.="</tr>";
					for ($cont=0;$cont<mysql_num_rows($resultado2);$cont++) {
						$color=!$color;
						if ($color) $techo.='<tr bgcolor="#f6f6f6" >';
						else $techo.='<tr bgcolor="#D8D8D8">';
						$row2 = mysql_fetch_array($resultado2);					
						$ta+=$row2['a'];
						$td+=$row2['d'];
						$techo.="<td width='50'><font size=1 color = 'blue'>".$row2['cod']."</td>";
						$techo.="<td width='200'><font size=1 color = 'blue'>".$row2['con']."</td>";
						$techo.="<td width='70' align='right'><font size=1 color = 'blue'>".($row2['a']==0?'':number_format($row2['a'],2))."</td>";
						$techo.="<td width='70' align='right'><font size=1 color = 'red'>".($row2['d']==0?'':number_format($row2['d'],2))."</td>";
						$techo.="<td width='70' align='right'><font size=1 color = 'black'>".($row2['s']==0?'':number_format($row2['s'],2))."</td>";
						$techo.='</tr>';
					}
					$techo.="<tr><td colspan=2>Totales</td>";
					$techo.="<td align=right><font size=2>".number_format($ta,2)."</td>";
					$techo.="<td align=right><font size=2>".number_format($td,2)."</td>";
					$techo.="<td align=right><font size=2><b><u>".number_format($ta-$td,2)."</b></u></td>";
					$techo.='</table>';
					mysql_free_result($resultado2);

					/////////////////////////// Armar correo
					//$asunto = 'Pago de Nomina del '.$perx;
					//$mensaje = $techo;
					//$destinatario=$cor;
					//$headers="X-Mailer: PHP/". phpversion()."\r\n";
					//$headers.="MIME-Version: 1.0 \r\n"; 
					//$headers.="Content-Type: text/html; charset=iso-8859-1\r\n"; 
					//$headers.="From:Recibos de Nomina OnLINE <info@saireh.com>\r\n";
					//$headers.="Bcc: richarddavilaj@gmail.com\r\n"; 
					//mail("$destinatario",utf8_decode("$asunto"),utf8_decode($mensaje),"$headers");
					/////////////////////////// cerrar correo
					
					///////////// envio de correo
					require_once('phpmailer/class.phpmailer.php');
					$mail=new PHPMailer();
					$mail->Mailer="smtp";
					$mail->Helo = "www.saireh.com"; //Muy importante para que llegue a hotmail y otros
					$mail->SMTPAuth=true;
					$mail->Host="ssl://www.saireh.com";
					$mail->Port=465; //depende de lo que te indique tu ISP. El default es 25, pero nuestro ISP lo tiene puesto al 26
					$mail->Username="info@saireh.com";
					$mail->Password="Rd.033333";
					$mail->From="info@saireh.com";
					$mail->FromName="Bellas Artes WEB - RRHH";
					$mail->Timeout=60;
					$mail->IsHTML(true);
					
					$mail->AddAddress($cor,$nom); //Puede ser Hotmail
					//$mail->AddBCC("ids.maracaibo@live.com");
					
					$mail->Subject='Recibos de Pagos: '.$perx;
					$mail->Body=$techo;
					$mail->AltBody="Recusos Humanos";
					$exito = $mail->Send();
					if($exito){
						 $mail->ClearAddresses();
					}  						
					//////////// fin de envio
					
				}
			}		
	}		
} 
?>